<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.TSupervisionEnergyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.TSupervisionEnergy">
        <id column="id" property="id" />
        <result column="enterprise_code" property="enterpriseCode" />
        <result column="year" property="year" />
        <result column="userid" property="userid" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="dept_id" property="deptId" />
        <result column="monitor_id" property="monitorId" />
        <result column="product_name" property="productName" />
        <result column="production" property="production" />
        <result column="unit" property="unit" />
        <result column="design_capacity" property="designCapacity" />
        <result column="comprehensive_energy" property="comprehensiveEnergy" />
        <result column="remark" property="remark" />
        <result column="process" property="process" />
        <result column="unit_product_limit_standard" property="unitProductLimitStandard" />
        <result column="result" property="result" />
        <result column="energy_sum" property="energySum" />
        <result column="ref_modulus" property="refModulus" />
        <result column="tce" property="tce" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, enterprise_code, year, userid, update_time, del_flag, dept_id, monitor_id, product_name, production, unit,
        design_capacity, comprehensive_energy, remark, process, unit_product_limit_standard, result, energy_sum, ref_modulus, tce
    </sql>

</mapper>
